<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.DmpProductCommandMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.DmpProductCommand">
        <id column="id" property="id" />
        <result column="product_code" property="productCode" />
        <result column="command_code" property="commandCode" />
        <result column="command_name" property="commandName" />
        <result column="data_type" property="dataType" />
        <result column="command_unit" property="commandUnit" />
        <result column="maximum" property="maximum" />
        <result column="minimum" property="minimum" />
        <result column="command_dict" property="commandDict" />
        <result column="command_describe" property="commandDescribe" />
        <result column="remark" property="remark" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_by" property="createdBy" />
        <result column="created_time" property="createdTime" />
        <result column="updated_by" property="updatedBy" />
        <result column="updated_time" property="updatedTime" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
